Nginx-stable with ALPN support (OpenSSL 1.0.2+) for 14.04 Trusty

PPA description

Nginx with ALPN support: fork of official Nginx packages (http://nginx.org/en/linux_packages.html) changed to build with OpenSSL 1.0.2+ statically.

Server ALPN support is required by Google Chrome 51+ HTTP2 implementation, but it's only available in OpenSSL 1.0.2+.

Stable branch.

Mainline branch: ppa:fxr/nginx-mainline-alpn
https://launchpad.net/~fxr/+archive/ubuntu/nginx-mainline-alpn

Adding this PPA to your system

You can update your system with unsupported packages from this untrusted PPA by adding ppa:fxr/nginx-alpn to your system's Software Sources. (Read about installing)

sudo add-apt-repository ppa:fxr/nginx-alpn
sudo apt-get update
        
Technical details about this PPA

This PPA can be added to your system manually by copying the lines below and adding them to your system's software sources.

deb http://ppa.launchpad.net/fxr/nginx-alpn/ubuntu trusty main 
deb-src http://ppa.launchpad.net/fxr/nginx-alpn/ubuntu trusty main 
Signing key:
4096R/BF12A509FB874923FC3775395D5234ADA71BB906 (What is this?)
Fingerprint:
BF12A509FB874923FC3775395D5234ADA71BB906

For questions and bugs with software in this PPA please contact Konstantin Baryshnikov.

PPA statistics

Activity
0 updates added during the past month.
View package details

Overview of published packages

11 of 1 result
Package Version Uploaded by
nginx 1.14.2-1~trusty Konstantin Baryshnikov (2018-12-04)
11 of 1 result

Latest updates

  • nginx 20 weeks ago
    Successfully built